{
	"name": "query/task/memori_task.json",
	"table": [
		{
			"record_type": [""],
			"table": "link"
		}
	],
	"parameter": {
		"parent_id": [""],
		"show_sql": false
	},
	"columns_not_in_use": "grid/task/fi_fi/memori_task.json",
	"order": [
		"task.start_time",
		">",
		"link.level_order",
		">",
		"task.description",
		">"
	],
	"orderX": "link.level_order >",
	"orderX2": [
		"task.start_time",
		">",
		"task.description",
		">"
	],
	"orderX3": ["link.level_order", ">"],
	"query": [
		["link.parent_id", "in", "parent_id"],
		"and",
		["link.parent_table", "=", "task"],
		"and",
		["link.child_table", "=", "task"],
		"and",
		["task.task_state", "=", "active"],
		"and",
		"task_types"
	],
	"set": {
		"task_types": [
				["task.task_type", "in", ["task", "task list"]]
			]
	},
	"structure": [
		{
			"child_field": "link.parent_id",
			"columns": "grid/task/fi_fi/memori_task.json",
			"depth": 3,
			"parameter": [
						{
							"field": "link.child_id",
							"tag": "parent_id"
						}
					],
			"parent_field": "link.child_id",
			"query": "link/memori_link.json"
		},
		{
			"child_field": "taskw.task_id",
			"parameter": [
						{
							"field": "link.child_id",
							"tag": "parent_id"
						}
					],
			"parent_field": "task.record_id",
			"query": "taskw/memori_taskw.json"
		}
	]
}